Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.6.0 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.utah.janosvm.sys
Interface TemporaryExport

public interface TemporaryExport

Indicate that an exported object is only alive as long as it is imported by someone. Only useful when implemented by a subclass of Exportable.

Author:
  Tim Stack, Utah Janos Team
See Also:
  `PersistentExport`, `Exportable`, `ExportManager#remImporter`

Method Summary
`boolean` | `expired()` This method is called when there are no more imports for the export.

Method Detail

### expired

    public boolean expired()

  This method is called when there are no more imports for the export. If it returns true than the export is revoked otherwise it will continue to be available for importing.
  Returns:
    True if the export has expired and should be revoked.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.6.0 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation is Copyright (C) 2000-2002 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Mar 17, 2002